Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.remoting.soap
Class SoapFaultException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.remoting.RemoteAccessException
                          org.springframework.remoting.RemoteInvocationFailureException
                              org.springframework.remoting.soap.SoapFaultException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  JaxRpcSoapFaultException, JaxWsSoapFaultException

    public abstract class SoapFaultException

extends RemoteInvocationFailureException

RemoteInvocationFailureException subclass that provides the details of a SOAP fault.

Since:
  2.5
Author:
  Juergen Hoeller
See Also:
  `SOAPFaultException`, `SOAPFaultException`, Serialized Form

Constructor Summary
`protected` | `SoapFaultException(java.lang.String msg, java.lang.Throwable cause)` Constructor for SoapFaultException.

Method Summary
`abstract java.lang.String` | `getFaultActor()` Return the actor that caused this fault.
`abstract java.lang.String` | `getFaultCode()` Return the SOAP fault code.
`abstract javax.xml.namespace.QName` | `getFaultCodeAsQName()` Return the SOAP fault code as a `QName` object.
`abstract java.lang.String` | `getFaultString()` Return the descriptive SOAP fault string.

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SoapFaultException

    protected SoapFaultException(java.lang.String msg,
                                 java.lang.Throwable cause)

  Constructor for SoapFaultException.

  Parameters:
    `msg` - the detail message
    `cause` - the root cause from the SOAP API in use

Method Detail

### getFaultCode

    public abstract java.lang.String getFaultCode()

  Return the SOAP fault code.

### getFaultCodeAsQName

    public abstract javax.xml.namespace.QName getFaultCodeAsQName()

  Return the SOAP fault code as a `QName` object.

### getFaultString

    public abstract java.lang.String getFaultString()

  Return the descriptive SOAP fault string.

### getFaultActor

    public abstract java.lang.String getFaultActor()

  Return the actor that caused this fault.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD